---
title: '-webkit-mask-box-image'
slug: Web/CSS/-webkit-mask-box-image
tags:
  - CSS
  - Layout
  - Non-standard
  - Reference
  - Web
  - 'recipe:css-property'
---
<div>{{ CSSRef() }} {{ Non-standard_header() }}</div>

<p><code>-webkit-mask-box-image</code> sets the mask image for an element's border box.</p>

<ul>
 <li>{{ Xref_cssinitial() }}: none</li>
 <li>Applies to: all elements</li>
 <li>{{ Xref_cssinherited() }}: no</li>
 <li>Media: {{ Xref_cssvisual() }}</li>
 <li>{{ Xref_csscomputed() }}: as specified</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="eval notranslate">-webkit-mask-box-image: &lt;mask-box-image&gt; [&lt;top&gt; &lt;right&gt; &lt;bottom&gt; &lt;left&gt; &lt;x-repeat&gt; &lt;y-repeat&gt;]
</pre>

<p>Where:</p>

<dl>
 <dt>&lt;mask-box-image&gt;</dt>
 <dd><code style="font: normal normal normal 100%/normal 'Courier New', 'Andale Mono', monospace; color: inherit; font-weight: inherit;">{{cssxref("&lt;uri&gt;")}} | &lt;gradient&gt; | none</code></dd>
 <dt>&lt;top&gt; &lt;right&gt; &lt;bottom&gt; &lt;left&gt;</dt>
 <dd><code style="font: normal normal normal 100%/normal 'Courier New', 'Andale Mono', monospace; color: inherit; font-weight: inherit;">&lt;length&gt; | &lt;percentage&gt;</code></dd>
 <dt>&lt;x-repeat&gt; &lt;y-repeat&gt;</dt>
 <dd><code style="font: normal normal normal 100%/normal 'Courier New', 'Andale Mono', monospace; color: inherit; font-weight: inherit;">repeat | stretch | round | space</code></dd>
</dl>

<h3 id="Values">Values</h3>

<dl>
 <dt>&lt;uri&gt;</dt>
 <dd>The location of the image resource to be used as a mask image.</dd>
 <dt style="font-style: normal; font-weight: bold;">&lt;gradient&gt;</dt>
 <dd style="margin-bottom: 20px; padding-left: 16px; border-bottom-width: 1px; border-bottom-style: dashed; margin-top: 0px; margin-right: 0px; margin-left: 0px; padding-top: 2px; padding-right: 0px; padding-bottom: 4px;">A <span style="font-family: courier new;">-webkit-gradient</span> function to be used as a mask image.</dd>
 <dt>none</dt>
 <dd>Used to specify that a border box is to have no mask image.</dd>
</dl>

<dl>
 <dt>&lt;length&gt;</dt>
 <dd>The size of the mask image's offset. See {{cssxref("&lt;length&gt;")}} for possible units.</dd>
 <dt>&lt;percentage&gt;</dt>
 <dd>The mask image's offset has a percentage value relative to the border box's corresponding dimension (width or height).</dd>
 <dt style="font-style: normal; font-weight: bold;">repeat</dt>
 <dd>The mask image is repeated as many times as is necessary to span the border box. May include a partial image if the mask image does not divide evenly into the border box.</dd>
 <dt>stretch</dt>
 <dd>The mask image is stretched to contain the border box exactly.</dd>
 <dt>round</dt>
 <dd>The mask image is stretched somewhat and repeated such that there is no partial mask image at the end of the border box.</dd>
 <dt>space</dt>
 <dd>The mask image is repeated as many times as possible without stretching. There is no partial mask image at the end of the border box.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_an_image">Setting an image</h3>

<pre class="brush: css notranslate">.exampleone {
  -webkit-mask-box-image: url('mask.png');
}
</pre>

<h3 id="Offsetting_and_filling_an_image">Offsetting and filling an image</h3>

<pre class="brush: css notranslate">.exampletwo {
  -webkit-mask-box-image: url('logo.png') 100 100 0 0 round round;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-mask-box-image")}}</p>

<h2 id="See_also">See also</h2>

<p>{{ cssxref("-webkit-mask") }}, {{ cssxref("-webkit-mask-origin") }}, {{ cssxref("-webkit-mask-attachment") }},{{ cssxref("-webkit-mask-clip") }},{{ cssxref("-webkit-mask-image") }},{{ cssxref("-webkit-mask-composite") }},{{ cssxref("-webkit-mask-repeat") }}</p>
